---
title: "Replace signer: Step 3 - Send"
url: "https://docs.signnow.com/docs/document-field-invite/operations/post-document-document_id-trigger_fieldinvite"
type: "endpoint"
section: "document-field-invite"
slug: "document-field-invite/operations/post-document-document_id-trigger_fieldinvite"
method: "POST"
path: "/document/{document_id}/trigger_fieldinvite"
operation_id: "post-document-document_id-trigger_fieldinvite"
authorization: "bearer"
---

# Replace signer: Step 3 - Send

`POST /document/{document_id}/trigger_fieldinvite`

To replace a signer in the invite, API user should follow three steps: delete the invite to the current signer(1), replace a signer(2), and send the invite to the new signer(3). This endpoint allows you to send the invite to the new signer.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | ID of the document in the invite. |

## Responses

### 200

Returns successful status if the request was correct. Returns an error when the request is sent with an incorrect document ID.

* Incorrect access token, "code": 1537. Message: "invalid_token"
* No field invite created for the document, "code": 65615. Message: "Field invite missing on this document."
* Incorrect document id, "code": 65582. Message: "Document not found."

**Example** (`example-1`)

```json
{
  "status": "success"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/document/{document_id}/trigger_fieldinvite" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/document-field-invite/operations/post-document-document_id-trigger_fieldinvite*
